Subject: Re: [PATCH net-next v3] net: phy: micrel: add phy-mode support for the KSZ9031 PHY

From: Russell King - ARM Linux admin <[email-masked]>
Date: Tue, 7 Apr 2020 12:05:40 +0100

On Tue, Apr 07, 2020 at 10:57:07AM +0000, Philippe Schenker wrote:
> On Tue, 2020-04-07 at 11:36 +0200, Oleksij Rempel wrote:
> > Add support for following phy-modes: rgmii, rgmii-id, rgmii-txid,
> > rgmii-rxid.
> > 
> > This PHY has an internal RX delay of 1.2ns and no delay for TX.
> > 
> > The pad skew registers allow to set the total TX delay to max 1.38ns
> > and
> > the total RX delay to max of 2.58ns (configurable 1.38ns + build in
> > 1.2ns) and a minimal delay of 0ns.
> > 
> > According to the RGMII v1.3 specification the delay provided by PCB
> > traces
> > should be between 1.5ns and 2.0ns. The RGMII v2.0 allows to provide
> > this
> > delay by MAC or PHY. So, we configure this PHY to the best values we
> > can
> > get by this HW: TX delay to 1.38ns (max supported value) and RX delay
> > to
> > 1.80ns (best calculated delay)
> > 
> > The phy-modes can still be fine tuned/overwritten by *-skew-ps
> > device tree properties described in:
> > Documentation/devicetree/bindings/net/micrel-ksz90x1.txt
> > 
> > Signed-off-by: Oleksij Rempel <[email-masked]>
> 
> Make sure you do not exceet 80 chars with your phydev_warn. Besides
> that:

There are exceptions to the 80 column rule. From coding-style.rst:

Statements longer than 80 columns will be broken into sensible chunks,
unless exceeding 80 columns significantly increases readability and
does not hide information. Descendants are always substantially shorter
than the parent and are placed substantially to the right. The same
applies to function headers with a long argument list. *However, never
break user-visible strings such as printk messages, because that breaks
the ability to grep for them.*

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up